Bug 1411982 - UI: Add new Cloud Volume must be disabled when there is no cloud provider present.
Summary: UI: Add new Cloud Volume must be disabled when there is no cloud provider pre...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.7.1
Assignee: Sam Lucidi
QA Contact: Ola Pavlenko
URL:
Whiteboard: openstack
Depends On: 1383260
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 22:19 UTC by Satoe Imaishi
Modified: 2017-08-30 03:46 UTC (History)
7 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1383260
Environment:
Last Closed: 2017-02-27 19:20:41 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-10 22:20:49 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/156186eb4ed302fbbec2f814c0aa4acb08c776df

commit 156186eb4ed302fbbec2f814c0aa4acb08c776df
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Mon Dec 12 14:12:56 2016 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jan 10 17:19:19 2017 -0500

    Merge pull request #12597 from mansam/disable-cloud-volume-add-button-when-unsupported
    
    Disable the 'add cloud volume' button when no ems supports it.
    (cherry picked from commit a8e77311912fe4155b596265f36e3282cdfaa0cc)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1411982

 .../application_helper/button/cloud_volume_new.rb  | 13 +++++++++
 .../toolbar/cloud_volumes_center.rb                |  1 +
 .../openstack/cloud_manager/cloud_volume.rb        |  1 +
 .../buttons/cloud_volume_new_spec.rb               | 33 ++++++++++++++++++++++
 4 files changed, 48 insertions(+)
 create mode 100644 app/helpers/application_helper/button/cloud_volume_new.rb
 create mode 100644 spec/helpers/application_helper/buttons/cloud_volume_new_spec.rb

Comment 3 Ronnie Rasouli 2017-02-01 08:44:49 UTC
I have a setup without a cloud provider, the create tenant option is available 
in build 5.7.1.0.20170124142149_8a5f4d5

Comment 4 Ronnie Rasouli 2017-02-01 12:47:38 UTC
by mistake tested cloud tenants and not volumes, verifed

Comment 6 errata-xmlrpc 2017-02-27 19:20:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.